Summary: The GNU C Library.
Name: sony-target-dev-glibc
%define pkgname %{sony_target_config}-dev-glibc
Version: 2.3.3
Release: 9b
License: LGPL/BSD
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Source0: glibc-%{version}.tar.bz2
Source1: glibc-linuxthreads-%{version}.tar.bz2

# Debian Patches
Patch1: glibc-2.3.3-errno.patch

# crosstool patches: http://kegel.com/crosstool/#download
Patch300: arm-ctl_bus_isa.patch
Patch301: fixup.patch
Patch302: glibc-2.3.2-allow-gcc-3.4-inline.patch
Patch303: glibc-2.3.2-arm-fix-strlen.patch
Patch304: glibc-2.3.2-powerpc-procfs.patch
Patch305: glibc-2.3.2-pr139-fix.patch
Patch306: glibc-2.3.2-sparc32-sysdep.patch
Patch307: glibc-2.3.2-sparc64-dl-machine.patch
Patch308: glibc-2.3.2-without-fp.patch
Patch309: glibc-2.3.3-cygwin.patch
Patch310: glibc-2.3.3-libeh-kludge.patch
Patch311: glibc-2.3.3-s390-fadvise64.patch
Patch312: glibc-2.3.3-unwind-dw2.patch
Patch313: glibc-configure-apple-as.patch
Patch314: glibc-fp-byteorder.patch
Patch315: arm-mcount_internal.patch
Patch316: arena_get2_lock.diff

# Patches for MIPS
Patch400: glibc-mips-bootstrap-gcc-header-install.patch
Patch401: glibc-linuxthreads-2.3.2-allow-3.4.patch
Patch402: glibc-2.3.3-allow-gcc-3.4-nounit.patch
Patch403: glibc-2.3.3-mips-dl-machine.patch
Patch404: glibc-2.3.3-mips-machine-gmon.patch
Patch405: glibc-2.3.3-mips-include-sgidefs.patch
Patch406: glibc-2.3.3-mips-sysdep-cancel.patch
Patch407: glibc-2.3.3-mips-syscall-clobbers.patch

BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_cross_target_dir}

%description
The standard libraries that are used by nearly all programs on the system.
This package includes shared versions of the standard C library and the
standard math library, as well as many others. Timezone data is also
included.

%package -n %{pkgname}
Summary: The GNU C Library.
Group: %{sony_group}
AutoReqProv: no

Conflicts: %{sony_target_config}-dev-glibc-bootstrap-headers

%description -n %{pkgname}
The standard libraries that are used by nearly all programs on the system.
This package includes shared versions of the standard C library and the
standard math library, as well as many others. Timezone data is also
included.

%prep
%setup -q -n glibc-%{version} -q -a 1

%patch1 -p1

%patch300 -p1
%patch301 -p1
%patch302 -p1
%patch303 -p1
%patch304 -p1
%patch305 -p1
%patch306 -p1
%patch307 -p1
%patch308 -p1
%patch309 -p1
%patch310 -p1
%patch311 -p1
%patch312 -p1
%patch313 -p1
%patch314 -p1
%patch315 -p1
%patch316 -p1

%patch400 -p1
%patch401 -p1
%patch402 -p1
%patch403 -p1
%patch404 -p1
%patch405 -p1
%patch406 -p0
%patch407 -p1

%build
%sony_target_dev_setup

%define _header_dir %{sony_cross_target_dir}%{sony_target_dev_include_dir}

autoconf &&
%sony_target_dev_configure \
	--enable-add-ons=linuxthreads \
	--without-cvs \
%if "%{sony_target_fpu}" == "no"
	--without-fp \
%endif
	--without-__thread \
	--without-tls \
	--enable-kernel=2.6.0 \
	--without-gd \
	--with-headers=%{_header_dir} &&
cat <<EOF > configparms &&
slibdir=%{sony_target_dev_dir}/lib
sysconfdir=%{sony_target_dev_dir}/etc
EOF
make

%install
%sony_target_dev_setup

rm -rf %{buildroot}

cd %{sony_objdir} &&
make \
    install_root=%{buildroot}%{sony_cross_target_dir} \
    install

# Fix ld scripts (remove '/devel/lib/' and '/devel/usr/lib/').
for f in /usr/lib/libc.so /usr/lib/libpthread.so
do
    sed -e 's,%{sony_target_dev_dir}/[^ 	]*/,,g' \
	-e '/BUG in libc.scripts.output-format.sed/d' \
        %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_dir}$f > tmp.so
    mv -f tmp.so %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_dir}$f
done

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)

%{sony_cross_target_dir}

%changelog
* Wed Aug 23 2006 Sony Corporation
- Avoided to use strcmp macro call

* Mon Aug 07 2006 Sony Corporation
- added arena_get2_lock.diff

* Fri Dec 16 2005 Sony Corporation
- Cleanup of patches

* Mon Jun 27 2005 Sony Corporation
- Fixed %files from %{sony_cross_dir} to %{sony_cross_target_dir}

* Mon May 23 2005 Sony Corporation
- Removed info/dir created by install-info.

* Mon May 16 2005 Sony Corporation
- Fixed Patch[0-9]*.
- Fixed Prefix to %{sony_cross_target_dir}.

* Thu Mar 31 2005 Sony Corporation
- Changed sysconfdir from /etc to %{sony_target_dev_dir}/etc.

* Fri Jan 14 2005 Sony Corporation
- Modified for arm.

* Thu Dec  9 2004 Sony Corporation
- Upgrade compiler (gcc 3.4.1 -> gcc 3.4.3).

* Fri Aug 20 2004 Sony Corporation
- Initial build.


